Subject: Re: filter-branch --subdirectory-filter prematurely truncating history?

From: Johannes Sixt <[email-masked]>
Date: Tue, 10 Mar 2009 08:00:09 +0100

Cap Petschulat schrieb:
> I'd like to spin a subdirectory of an existing git repo off in to its
> own repo while preserving history. From what I've read, I should be
> able to do this with a fresh clone followed by git filter-branch
> --subdirectory-filter MYSUBDIR, assuming I don't care about other
> branches or tags. This runs, and when it's done, I have a repo that
> contains the subdir's contents as its root. So far so good.
> 
> I would expect to see the subdir's full history when I run git log,
> but instead it cuts off prematurely, showing the first commit to be
> some relatively recent minor change I'll call FOO. In gitk, I can see
> that history prior to FOO is still around, but FOO has no parents, and
> the commit before FOO has no children. In the original repo, FOO's
> parent was the merge of a branch which no longer exists, if this
> matters.

A bug in this area was fixed in git v1.6.0-rc3. Which version are you using?

-- Hannes